Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.repository
Class ReportUnitHandler

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.repository.RepositoryResourceHandler
          com.jaspersoft.jasperserver.ws.axis2.repository.ReportUnitHandler

All Implemented Interfaces:
  SubResourceHandler, ResourceHandler

    public class ReportUnitHandler

extends RepositoryResourceHandler
implements SubResourceHandler

Version:
  $Id: ReportUnitHandler.java 9889 2007-09-04 10:08:13Z lucian $
Author:
  gtoffoli

Field Summary
`static java.lang.String` | `OPTION_REPORT_UNIT_CONTENTS`

Constructor Summary
`ReportUnitHandler()`

Method Summary
`void` | `deleteSubResource(Resource parent, ResourceDescriptor childDescriptor, RepositoryServiceContext serviceContext)`
`protected void` | `doDescribe(Resource resource, ResourceDescriptor descriptor, java.util.Map arguments, RepositoryServiceContext serviceContext)`
`java.lang.Class` | `getResourceType()`
`Resource` | `setSubResource(Resource parent, ServiceRequest request)`
`protected void` | `updateResource(Resource resource, ResourceDescriptor descriptor, RepositoryServiceContext serviceContext)`

Methods inherited from class com.jaspersoft.jasperserver.ws.axis2.repository.RepositoryResourceHandler
`copyToResource, delete, describe, getAttachments, getModifyingParentResource, put, setCommonAttributes, toChildResource, toNewResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.ws.axis2.ResourceHandler
`delete, describe, getAttachments, put`

Field Detail

### OPTION_REPORT_UNIT_CONTENTS

    public static final java.lang.String OPTION_REPORT_UNIT_CONTENTS

See Also:
  Constant Field Values

Constructor Detail

### ReportUnitHandler

    public ReportUnitHandler()

Method Detail

### getResourceType

    public java.lang.Class getResourceType()

  Specified by:
    `getResourceType` in interface `ResourceHandler`

### doDescribe

    protected void doDescribe(Resource resource,
                              ResourceDescriptor descriptor,
                              java.util.Map arguments,
                              RepositoryServiceContext serviceContext)
                       throws WSException

  Specified by:
    `doDescribe` in class `RepositoryResourceHandler`
  Throws:
    `WSException`

### updateResource

    protected void updateResource(Resource resource,
                                  ResourceDescriptor descriptor,
                                  RepositoryServiceContext serviceContext)
                           throws WSException

  Specified by:
    `updateResource` in class `RepositoryResourceHandler`
  Throws:
    `WSException`

### setSubResource

    public Resource setSubResource(Resource parent,
                                   ServiceRequest request)
                            throws WSException

  Specified by:
    `setSubResource` in interface `SubResourceHandler`
  Throws:
    `WSException`

### deleteSubResource

    public void deleteSubResource(Resource parent,
                                  ResourceDescriptor childDescriptor,
                                  RepositoryServiceContext serviceContext)
                           throws WSException

  Specified by:
    `deleteSubResource` in interface `SubResourceHandler`
  Throws:
    `WSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.